org.firebirdsql.gds.ng.jna

## Class NativeResourceUnloadWebListener

- java.lang.Object
- - org.firebirdsql.gds.ng.jna.NativeResourceUnloadWebListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

    @WebListener
    public class NativeResourceUnloadWebListener
    extends java.lang.Object
    implements javax.servlet.ServletContextListener

Servlet context listener responsible for unloading native libraries if loaded in the current context.

Since:
  4.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`NativeResourceUnloadWebListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)`
`void` `contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativeResourceUnloadWebListener

    public NativeResourceUnloadWebListener()

### Method Detail

#### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)

Specified by:
  `contextInitialized` in interface `javax.servlet.ServletContextListener`

#### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

Specified by:
  `contextDestroyed` in interface `javax.servlet.ServletContextListener`